---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Get weekly schedule

Get the weekly schedule from the charger's scheduling state.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Weekly schedule",
      "description": "Charge at set times for each day of the week.",
      "x-displayName": "Weekly schedule"
    }
  ],
  "paths": {
    "/api/chargers/{chargerId}/schedules/weekly": {
      "get": {
        "tags": [
          "Weekly schedule"
        ],
        "summary": "Get weekly schedule",
        "description": "Get the weekly schedule from the charger's scheduling state.",
        "operationId": "GetChargersSchedulesWeekly",
        "parameters": [
          {
            "name": "chargerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "x-position": 1
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_GetWeeklyScheduleResponse"
                }
              }
            }
          },
          "204": {
            "description": ""
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_ProblemDetails"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Scheduled_charging_DayOfWeek": {
        "type": "string",
        "description": "",
        "x-enumNames": [
          "Sunday",
          "Monday",
          "Tuesday",
          "Wednesday",
          "Thursday",
          "Friday",
          "Saturday"
        ],
        "enum": [
          "sunday",
          "monday",
          "tuesday",
          "wednesday",
          "thursday",
          "friday",
          "saturday"
        ]
      },
      "Scheduled_charging_ProblemDetails": {
        "type": "object",
        "additionalProperties": {
          "nullable": true
        },
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        }
      },
      "Scheduled_charging_GetWeeklyScheduleResponse": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "enabled",
          "timezone",
          "periods"
        ],
        "properties": {
          "enabled": {
            "type": "boolean",
            "description": "Whether the schedule is enabled."
          },
          "timezone": {
            "type": "string",
            "description": "IANA time zone identifier for the schedule."
          },
          "periods": {
            "type": "array",
            "description": "Collection of  time periods during which charging is permitted.",
            "items": {
              "$ref": "#/components/schemas/Scheduled_charging_WeeklySchedulePeriod4"
            }
          }
        }
      },
      "Scheduled_charging_WeeklySchedulePeriod4": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "startDay",
          "startTime",
          "stopDay",
          "stopTime",
          "maximumAmps"
        ],
        "properties": {
          "startDay": {
            "description": "The day of week on which the schedule period begins.",
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_DayOfWeek"
              }
            ]
          },
          "startTime": {
            "type": "string",
            "description": "The time of day on which the schedule period begins.",
            "format": "time"
          },
          "stopDay": {
            "description": "The day of week on which the schedule period ends.",
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_DayOfWeek"
              }
            ]
          },
          "stopTime": {
            "type": "string",
            "description": "The time of day on which the schedule period ends.",
            "format": "time"
          },
          "maximumAmps": {
            "type": "integer",
            "description": "The maximum electrical current in amperes permitted by the schedule during this charging period.",
            "format": "int32"
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```